package com.ym.mec.biz.service;


import com.dayaedu.cbs.openfeign.wrapper.music.CbsMusicSheetWrapper;
import com.ym.mec.biz.dal.entity.Subject;
import com.ym.mec.biz.dal.entity.SysMusicScore;
import com.ym.mec.biz.dal.entity.SysMusicScoreAccompaniment;
import com.ym.mec.biz.dal.page.SysExamSongQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface SysMusicScoreAccompanimentService extends BaseService<String, SysMusicScoreAccompaniment> {

    List<SysMusicScoreAccompaniment> queryAll(SysExamSongQueryInfo queryInfo);

    SysMusicScoreAccompaniment initSysMusicScoreAccompaniment(CbsMusicSheetWrapper.MusicSheetAccApplication musicSheetApplication);

    List<SysMusicScoreAccompaniment> queryAccPage(SysExamSongQueryInfo queryInfo);

    List<Subject> querySubjectIds(Integer categoriesId);

    PageInfo<SysMusicScoreAccompaniment> queryScorePage(SysExamSongQueryInfo queryInfo);
}